<!---
      Query database for sales data
      --->
<cf_xquery name="salesData">
   <recs>
      <rec name="Tom" sales="120" />
      <rec name="Dick" sales="140" />
      <rec name="Harry" sales="80" />
   </recs>
</cf_xquery>


<!---
      Get absolute path to file we're going to generate
      and delete the file if it already exists.
      --->
<cfset relPath = "files/02_OWC_Chart.gif">
<cfset absPath = expandPath(relPath)>
<cfif fileExists(absPath)>
   <cffile action="delete" file="#absPath#">
</cfif>


<!--- Create a Chart Space (container) --->
<cfset chSpace = createObject("com", "OWC10.ChartSpace")>


<!--- Add a chart and set parameters for the chart --->
<cfset chChart = chSpace.Charts.Add()>
<cfset chChart.Type = 0> <!--- chChartTypeColumnClustered --->
<cfset chSer = chChart.SeriesCollection.Add()>
<cfset chSer.SetData(1, -1, valueList(salesData.name))> <!--- chDimCategories, chDataLiteral --->
<cfset chSer.SetData(2, -1, valueList(salesData.sales))> <!--- chDimValues, chDataLiteral --->
<cfset chSer.Caption = "Sales">
<cfset chSpace.Border.Color = -2> <!--- chColorNone --->
<cfset chChart.HasLegend = True>
<cfset chChart.HasTitle = True>

<!--- Export the chart to the temporary file --->
<cfset chSpace.ExportPicture(absPath, "gif", 600, 512)>

<!--- release objects hered --->

<html>
   <head>
      <title>OWC Example</title>
   </head>
   
   <body>
   
   <!--- Create a link to the generated file --->
   <cfoutput>
      <img src="#relPath#" width="600" height="512" border="0" />
   </cfoutput>


   </body>
</html>